<?php

namespace ModulesGarden\Servers\OpenXchange\App\Http\Client;

use ModulesGarden\Servers\OpenXchange\Core\Helper;
use ModulesGarden\Servers\OpenXchange\Core\UI\Traits\WhmcsParams;
use ModulesGarden\Servers\OpenXchange\Core\Http\AbstractClientController;
use ModulesGarden\Servers\OpenXchange\App\UI\Client\EmailForwarder\Pages\EmailForwarderDescription;

class EmailForwarder extends AbstractClientController
{
    use WhmcsParams;

    public function index()
    {
        if ($this->getWhmcsParamByKey('status') === 'Active')
        {
            return Helper\view()
                ->addElement(EmailForwarderDescription::class)
                ->addElement(\ModulesGarden\Servers\OpenXchange\App\UI\Client\EmailForwarder\Pages\EmailForwarder::class);
        }
    }
}
